group "OptionSettlement.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 4 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
settlementType?, settlementDate?, (settlementAmount | settlementCurrency)?

Content Model Elements (4):

  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group)

Known Usage Locations

- In definitions of global complexTypes (3):
  DirectionalLegUnderlyer, OptionBaseExtended, ReturnSwapLegUnderlyer

Annotation
A group which has Option Settlement elements.
XML Source (w/o annotations (1); see within schema source)

<xsd:group name="OptionSettlement.model"> <xsd:sequence> <!--Is this an optional or required elemnt ?--> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/> <xsd:group minOccurs="0" ref="SettlementAmountOrCurrency.model"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/4)
settlementDate

  Type: | AdjustableOrRelativeDate, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableOrRelativeDate"/>

settlementType

  Type: | SettlementTypeEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Cash" | - | The intrinsic value of the option will be delivered by way of a cash settlement amount determined, (i) by reference to the differential between the strike price and the settlement price; or (ii) in accordance with a bilateral agreement between the parties See: http://www.FpML.org
  "Physical" | - | The securities underlying the transaction will be delivered by (i) in the case of a call, the seller to the buyer, or (ii) in the case of a put, the buyer to the seller versus a settlement amount equivalent to the strike price per share See: http://www.FpML.org
  "Election" | - | Allow Election of either Cash or Physical settlement See: http://www.FpML.org
  "CashOrPhysical" | - | Allow use of either Cash or Physical settlement without prior Election See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.